from rich.progress import Progress
import time

# Создаем объект Progress
with Progress() as progress:
    
    # Создаем задачу с общим количеством шагов 100
    task = progress.add_task("[green]Выполняется...", total=100)

    # Симулируем выполнение задачи
    for i in range(100):
        time.sleep(0.1)  # Имитация работы (задержка 0.1 секунды)
        progress.update(task, advance=1)  # Обновляем прогресс на 1 шаг

print("Задача завершена!")